Bug 203572 - On the config file details page, the binary toggle link gives 404
On the config file details page, the binary toggle link gives 404
Status: CLOSED CURRENTRELEASE
Product: Red Hat Network
Classification: Red Hat
Component: RHN/Web Site (Show other bugs)
rhn420
All Linux
medium Severity medium
: ---
: ---
Assigned To: Grant Gainey
wes hayutin
:
Depends On:
Blocks: rhn500h-config-mgmt
  Show dependency treegraph
 
Reported: 2006-08-22 10:57 EDT by Ken Ganong
Modified: 2007-04-18 13:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: rhn500h
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-12 22:51:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Ganong 2006-08-22 10:57:06 EDT
Actually two problems:
1. There is no toggle link to change a non-binary file to binary.
2. The toggle link to change a binary file to an editable file is a broken link.
Comment 1 Grant Gainey 2006-09-28 07:56:02 EDT
The real issue here is that the binary/text toggle needs to be just one more
piece of "additional details" when we create a new revision of a config-file. 
I'm proposing that we add a binary/text radiogroup in the additional-details
section of the file-details page.  Comments from Ken or Mo?
Comment 2 Ken Ganong 2006-09-28 09:17:09 EDT
If it is a radio-group,  when do you submit your changes?  What happens if the
user changes this to binary and types into the file contents.
Comment 3 Grant Gainey 2006-09-28 09:27:42 EDT
Remove the link, make the text/binary just one more property of the form - the
change is submitted along with everything else.  One has to create a new
revision for this change (just as with any other change), so this just becomes
one more attribute to set on the new revision.  It's no different than changing
the delimiters or the mode or the user/group info.
Comment 4 Máirín Duffy 2006-09-28 14:07:45 EDT
Can I vote for both?

The text link is kind of a 'something is wrong. if you want to fix it, click
here nice and easy'

But I see the need for a property too, so a group in the additional file details
labeled: "File type:" and I would make it a dropdown that says either 'Binary
File' or 'Text File'. 

(The rationale for a dropdown over a radio select is that it's dual-purpose
right? Displays the current status of the file and allows you to change it. It's
easier to tell at a glance what the current state is if thats the only one
visible (the other state hidden behind the drop down).)
Comment 5 Grant Gainey 2006-09-29 10:47:08 EDT
The only problem I have with with keeping the link, is that the link would need
to do two things - change the property, and then submit the form (so we don't
lose all the rest of the user's data).  I have a problem with separating out
this one property for special behavior.  "If you don't like these macro
delimiters, click here to change them"  "If you don't like this file-permission
setting, click here to change it" - you're already "here", this is where you
change these things.  I'd much prefer commentary ("If this should be a binary
file, change it in the dropdown above") instead of special-casing the form-submit.

RE dropdown - sounds good to me!

Comments?
Comment 6 Máirín Duffy 2006-09-29 10:50:49 EDT
Sounds good. Let's change the commentary to: "If this should be a binary file,
you can change it using the 'File type' drop-down in the 'Additional File
Details' section above."

:)
Comment 7 Ken Ganong 2006-11-13 12:19:04 EST
Moving bugs to ON_DEV
Comment 8 Ken Ganong 2006-12-05 09:56:59 EST
Moving my bugs to ON_QA
Comment 9 Ken Ganong 2006-12-15 15:58:21 EST
Passing on my config management bugs to ggainey
Comment 10 wes hayutin 2007-01-09 09:34:38 EST
This looks good
Comment 11 Brandon Perkins 2007-03-12 22:51:56 EDT
Closed in the rhn500h Release.

Note You need to log in before you can comment on or make changes to this bug.